apt 3.2.0 commandline package manager

Public Member Functions | Public Attributes | List of all members
PatternParser Struct Reference

PatternParser parses the given sentence into a parse tree. More...

`#include <apt-pkg/cachefilter-patterns.h>`

## Public Member Functions
std::unique_ptr< APT::CacheFilter::Matcher > | aPattern (std::unique_ptr< PatternTreeParser::Node > &nodeP)
std::string | aWord (std::unique_ptr< PatternTreeParser::Node > &nodeP)

## Public Attributes
pkgCacheFile * | file

## Detailed Description

PatternParser parses the given sentence into a parse tree.

The parse tree consists of nodes:

- Word nodes which contains words or quoted words
- Patterns, which represent ?foo and ?foo(...) patterns

The documentation for this struct was generated from the following files:

- apt-pkg/cachefilter-patterns.h
- apt-pkg/cachefilter-patterns.cc